#! /usr/bin/env sh

cfg_files=`find . -name '*.cfg'`

for f in ${cfg_files}; do
  if [ "${f##*/}" != "mapping.cfg" ]; then
    # Any change?
    begin_time_ok=`grep "window_begin_time_relative 0.000000000000" ${f} | wc -l`
    end_time_ok=`grep "window_end_time_relative 1.000000000000" ${f} | wc -l`
    window_scale_ok=`grep "window_scale_relative 1.000000000000" ${f} | wc -l`
    if [ $begin_time_ok -eq 0 ] || [ $end_time_ok -eq 0 ] || [ $window_scale_ok -eq 0 ]; then
        echo "Changing ${f}"
        perl -p -i -e 's/^window_begin_time_relative .*/window_begin_time_relative 0.000000000000/g' "${f}"
        perl -p -i -e 's/^window_end_time_relative .*/window_end_time_relative 1.000000000000/g' "${f}"
        perl -p -i -e 's/^window_scale_relative .*/window_scale_relative 1.000000000000/g' "${f}"
    fi
  else
    # mapping.cfg
    echo "Skipping ${f}"
  fi
done

